import request from '@/utils/request'

// 区域变电站下告警监测点数量
export function getSubLineGiveAnAlarm(data: any) {
    return request({ url: '/harmonic-boot/gridDiagram/getSubLineGiveAnAlarm', method: 'post', data })
}

export function getAreaObjAlarm(data: any) {
    return request({ url: '/harmonic-boot/gridDiagram/getAreaObjAlarm', method: 'post', data })
}
// 变电站详细列表
export function getPollutionAlarmPageData(data: any) {
    return request({ url: '/harmonic-boot/gridDiagram/getPollutionAlarmPageData', method: 'post', data })
}
// 变电站新详细列表
export function getPollutionAlarmList(data: any) {
    return request({ url: '/harmonic-boot/gridDiagram/getPollutionAlarmList', method: 'post', data })
}
// 变电站污染告警占比
export function getPollutionAlarmData(data: any) {
    return request({ url: '/harmonic-boot/gridDiagram/getPollutionAlarmData', method: 'post', data })
}
// 变电站趋势分析
export function getGridDiagramSubTendency(data: any) {
    return request({ url: '/device-boot/gridDiagram/getGridDiagramSubTendency', method: 'post', data })
}
// 监测点分布统计
export function getGridDiagramLineData(data: any) {
    return request({ url: '/harmonic-boot/gridDiagram/getGridDiagramLineData', method: 'post', data })
}
// 终端统计(在运-在线)
export function getGridDiagramDev(data: any) {
    return request({ url: '/device-boot/gridDiagram/getGridDiagramDev', method: 'post', data })
}
// 区域终端统计
export function getGridDiagramDevDataList(data: any) {
    return request({ url: '/device-boot/gridDiagram/getGridDiagramDevDataList', method: 'post', data })
}
// 终端趋势分析
export function getGridDiagramDevTendency(data: any) {
    return request({ url: '/device-boot/gridDiagram/getGridDiagramDevTendency', method: 'post', data })
}
// 终端分布统计
export function getGridDiagramDevData(data: any) {
    return request({ url: '/device-boot/gridDiagram/getGridDiagramDevData', method: 'post', data })
}
// 终端台账信息
export function getRuntimeData(data: any) {
    return request({ url: '/device-boot/runManage/getRuntimeData', method: 'post', data })
}
// 监测点趋势分析
export function getGridDiagramLineTendency(data: any) {
    return request({ url: '/device-boot/gridDiagram/getGridDiagramLineTendency', method: 'post', data })
}

// 监测点统计(总数-在线)
export function getGridDiagramMonitor(data: any) {
    return request({ url: '/device-boot/gridDiagram/getGridDiagramMonitor', method: 'post', data })
}
// 监测点列表
export function getHalfReport(data: any) {
    return request({ url: '/device-boot/line/getHalfReport', method: 'post', data })
}
// 综合评估概览数据
export function getAssessOverview(data: any) {
    return request({ url: '/harmonic-boot/grid/getAssessOverview', method: 'post', data })
}
// 稳态电能质量水平评价概览数据
export function getEvaluationOverview(data: any) {
    return request({ url: '/harmonic-boot/grid/getEvaluationOverview', method: 'post', data })
}
// 综合评估详细数据
export function getAssessDetail(data: any) {
    return request({ url: '/harmonic-boot/grid/getAssessDetail', method: 'post', data })
}
// 稳态电能质量水平平均值、标准差
export function getEvaluationData(data: any) {
    return request({ url: '/harmonic-boot/grid/getEvaluationData', method: 'post', data })
}
// 稳态指标超标详情
export function evaluationDetail(data: any) {
    return request({ url: '/harmonic-boot/grid/evaluationDetail', method: 'post', data })
}
// 各稳态指标的环比
export function evaluationRatio(data: any) {
    return request({ url: '/harmonic-boot/grid/evaluationRatio', method: 'post', data })
}
// 暂态统计评价
export function getEventLevelEvaluation(data: any) {
    return request({ url: '/event-boot/gridDiagram/getEventLevelEvaluation', method: 'post', data })
}
// 暂态统计详情
export function getEventStatisticsList(data: any) {
    return request({ url: '/event-boot/gridDiagram/getEventStatisticsList', method: 'post', data })
}
// 获取监测点暂降事件分析
export function getEventReason(data: any) {
    return request({ url: '/event-boot/areaAnalysis/getEventReason', method: 'post', data })
}
// 暂态事件统计
export function getGeneralSituation(data: any) {
    return request({ url: '/event-boot/report/getGeneralSituation', method: 'post', data })
}
// 获取实际运行终端综合信息
export function getPracticalRunDeviceInfo(data: any) {
    return request({ url: '/device-boot/deviceInfo/getPracticalRunDeviceInfo', method: 'post', data })
}
// 监测终端状态
export function getGridDiagramCityDev(data: any) {
    return request({ url: '/device-boot/gridDiagram/getGridDiagramCityDev', method: 'post', data })
}
// 稳态指标合格率详情
export function qualifiedDetail(data: any) {
    return request({ url: '/harmonic-boot/grid/qualifiedDetail', method: 'post', data })
}
// 综合评估趋势对比
export function getAssessTrend(data: any) {
    return request({ url: '/harmonic-boot/grid/getAssessTrend', method: 'post', data })
}
// 暂态详细列表
export function getEventDetailByList(data: any) {
    return request({ url: '/event-boot/gridDiagram/getEventDetailByList', method: 'post', data })
}
//通过监测点集合查询总监测点数据完整性
export function getTotalIntegrityByLineIds(data: any) {
    return request({ url: '/device-boot/LineIntegrityData/getTotalIntegrityByLineIds', method: 'post', data })
}
//根据终端id集合获取总终端在线率
export function getTotalOnlineRates(data: any) {
    return request({ url: '/device-boot/deviceInfo/getTotalOnlineRates', method: 'post', data })
}
//监测点稳态指标合格率详情
export function lineQualifiedDetail(data: any) {
    return request({ url: '/harmonic-boot/grid/lineQualifiedDetail', method: 'post', params: data })
}
//监测点评估
export function getLineAssess(data: any) {
    return request({ url: '/harmonic-boot/grid/getLineAssess', method: 'post', params: data })
}
//根据监测点获取暂态短时中断和暂态赞升暂降
export function getEventDetailByLineId(data: any) {
    return request({ url: '/event-boot/gridDiagram/getEventDetailByLineId', method: 'post', data })
}
//区域基本信息(监测点，终端，变电站等)
export function getGridDiagramAreaData(data: any) {
    return request({ url: '/harmonic-boot/gridDiagram/getGridDiagramAreaData', method: 'post', data })
}
//监测点告警越线天数详细信息
export function getGridDiagramTargetData(data: any) {
    return request({ url: '/harmonic-boot/gridDiagram/getGridDiagramTargetData', method: 'post', data })
}
//监测点指标统计
export function getGridDiagramStatistics(data: any) {
    return request({ url: '/device-boot/gridDiagram/getGridDiagramStatistics', method: 'post', data })
}
//监测运行统计
export function getGridDiagramRunData(data: any) {
    return request({ url: '/harmonic-boot/gridDiagram/getGridDiagramRunData', method: 'post', data })
}
//技术监督首页数据展示
export function getSupervisionData(data: any) {
    return request({ url: '/supervision-boot/gridDiagram/getSupervisionData', method: 'post', data })
}
//技术监督详细页面展示
export function getSupervisionDetailsData(data: any) {
    return request({ url: '/supervision-boot/gridDiagram/getSupervisionDetailsData', method: 'post', data })
}
//技术监督市级详细页面展示
export function getSupervisionCityDetailsData(data: any) {
    return request({ url: '/supervision-boot/gridDiagram/getSupervisionCityDetailsData', method: 'post', data })
}

//区域污染值统计
export function getAreaPollution(data: any) {
    return request({ url: '/harmonic-boot/PollutionSubstation/getAreaPollution', method: 'post', data })
} 
//场站级评估
export function downPollutionSubCalc(data: any) {
    return request({ url: '/harmonic-boot/PollutionSubstation/downPollutionSubCalc', method: 'post', data })
} 
//监测点评价
export function limitTableDetail(data: any) {
    return request({ url: '/device-boot/dataVerify/limitTableDetail', method: 'post', data })
} 
//重要及敏感用户详情
export function downPollutionSensitiveUser(data: any) {
    return request({ url: '/harmonic-boot/PollutionSubstation/downPollutionSensitiveUser', method: 'post', data })
} 
//干扰源类型统计
export function loadTypeVOList(data: any) {
    return request({ url: '/device-boot/gridDiagram/loadTypeVOList', method: 'post', data })
} 
